Package com.google.javascript.jscomp.parsing

# Enum Config.LanguageMode

java.lang.Object
java.lang.Enum<Config.LanguageMode>
com.google.javascript.jscomp.parsing.Config.LanguageMode

All Implemented Interfaces:
  `Serializable`, `Comparable<Config.LanguageMode>`, `java.lang.constant.Constable`

Enclosing class:
  `Config`

public static enum Config.LanguageMode extends Enum<Config.LanguageMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ECMASCRIPT3`
`ECMASCRIPT5`
`ECMASCRIPT5_STRICT`

## Method Summary

Modifier and Type
Method
Description
`static Config.LanguageMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Config.LanguageMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ECMASCRIPT3

public static final Config.LanguageMode ECMASCRIPT3

### ECMASCRIPT5

public static final Config.LanguageMode ECMASCRIPT5

### ECMASCRIPT5_STRICT

public static final Config.LanguageMode ECMASCRIPT5_STRICT

## Method Details

### values

public static Config.LanguageMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Config.LanguageMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null